1. Contacts
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
        GET
      • Property contacts
        POST
      • Property contacts
        PATCH
      • Property contacts
        DELETE
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List provinces
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Contacts

Property contacts

POST
/properties/{propertyID}/contacts
This end point lets you create new contacts against either customers or work addresses.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Headers

Bodyapplication/json

🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/properties/1146/contacts' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "firstName": "Test 29 June",
    "lastName": "Lakin",
    "position": "Corporate Branding Supervisor",
    "email": "test@gmail.com",
    "telephones": [
        {
            "type": "Office",
            "number": "(261) 925-8829"
        },
        {
            "type": "Mobile",
            "number": "(261) 925-8829 x0414"
        }
    ],
    "communicationPreference": {
        "phone": true,
        "email": true,
        "sms": true
    }
}'
Response Response Example
201 - Example 1
{
    "id": 0,
    "createdByType": 0,
    "createdByID": 0,
    "createdByUser": "string",
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
    "propertyID": 0,
    "firstName": "string",
    "lastName": "string",
    "position": "string",
    "email": "string",
    "telephones": [
        {
            "id": 0,
            "type": "Office",
            "number": "string"
        }
    ],
    "communicationPreference": {
        "phone": true,
        "email": true,
        "sms": true
    }
}
Modified at 2026-09-15 11:05:09
Previous
List property contacts
Next
Property contacts
Built with